Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.webdav
Interface RequestResolver

All Known Implementing Classes:
  DefaultRequestResolver, MultiRepositoryRequestResolver, SingleRepositoryRequestResolver

    public interface RequestResolver

Interface for a method of resolving a request into a repository name, workspace name, and node path. Implementations can use additional information in the request (such as the `principal` to resolve the URI.

Implementations of this class must be thread-safe and must provide a public, nilary (no-argument) constructor.

See Also:
  `SingleRepositoryRequestResolver`, `MultiRepositoryRequestResolver`

Method Summary
`void` | `initialize(javax.servlet.ServletContext context)` Initialize the resolver based on the provided context
`ResolvedRequest` | `resolve(javax.servlet.http.HttpServletRequest request, String path)` Resolve the given request to the repository, workspace, and path of the node

Method Detail

### initialize

    void initialize(javax.servlet.ServletContext context)

  Initialize the resolver based on the provided context

  Parameters:
    `context` - the servlet context for this servlet

### resolve

    ResolvedRequest resolve(javax.servlet.http.HttpServletRequest request,
                            String path)
                            throws net.sf.webdav.exceptions.WebdavException

  Resolve the given request to the repository, workspace, and path of the node

  Parameters:
    `request` - the request to be resolved
    `path` - the requested relative path; never null or empty
  Returns:
    the repository, workspace, and path to a node
  Throws:
    `net.sf.webdav.exceptions.WebdavException` - if the URI cannot be resolved to a repository, workspace, and path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.